Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkAbstractMapper3D Class Reference

`#include <vtkAbstractMapper3D.h>`

Inheritance diagram for vtkAbstractMapper3D:

[legend]
Collaboration diagram for vtkAbstractMapper3D:

[legend]
List of all members.

## Detailed Description

abstract class specifies interface to map 3D data

Date:
  2002/01/22 15:38:26

Revision:
  1.18

vtkAbstractMapper3D is an abstract class to specify interface between 3D data and graphics primitives or software rendering techniques. Subclasses of vtkAbstractMapper3D can be used for rendering geometry or rendering volumetric data.

This class also defines an API to support hardware clipping planes (at most six planes can be defined). It also provides geometric data about the input data it maps, such as the bounding box and center.

See also:
  vtkAbstractMapper vtkMapper vtkPolyDataMapper vtkVolumeMapper

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (57%)
  - Biddiscombe, John (17%)
  - Lorensen, Bill (15%)
  - Avila, Lisa (5%)

CVS logs (CVSweb):
  - .`cxx` (`/Rendering/vtkAbstractMapper3D.cxx)`
  - .`h` (`/Rendering/vtkAbstractMapper3D.h)`

Definition at line 56 of file vtkAbstractMapper3D.h.

## Public Types
typedef vtkAbstractMapper | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual float * | GetBounds ()=0
virtual void | GetBounds (float bounds[6])
float * | GetCenter ()
float | GetLength ()
virtual int | IsARayCastMapper ()
virtual int | IsARenderIntoImageMapper ()
virtual void | Update ()=0
## Static Public Methods
int | IsTypeOf (const char *type)
vtkAbstractMapper3D * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkAbstractMapper3D ()
| ~vtkAbstractMapper3D ()
## Protected Attributes
float | Bounds [6]
float | Center [3]

## Member Typedef Documentation

typedef vtkAbstractMapper vtkAbstractMapper3D::Superclass

| Reimplemented from vtkAbstractMapper. Reimplemented in vtkDataSetMapper, vtkMapper, vtkMesaPolyDataMapper, vtkMesaVolumeRayCastMapper, vtkMesaVolumeTextureMapper2D, vtkOpenGLPolyDataMapper, vtkOpenGLVolumeProVG500Mapper, vtkOpenGLVolumeProVP1000Mapper, vtkOpenGLVolumeRayCastMapper, vtkOpenGLVolumeTextureMapper2D, vtkPolyDataMapper, vtkVolumeMapper, vtkVolumeProMapper, vtkVolumeProVG500Mapper, vtkVolumeProVP1000Mapper, vtkVolumeRayCastMapper, vtkVolumeTextureMapper, and vtkVolumeTextureMapper2D. Definition at line 59 of file vtkAbstractMapper3D.h.

## Constructor & Destructor Documentation

vtkAbstractMapper3D::vtkAbstractMapper3D | ( |  | ) | `[protected]`

vtkAbstractMapper3D::~vtkAbstractMapper3D | ( |  | ) | `[inline, protected]`

| Definition at line 89 of file vtkAbstractMapper3D.h.

## Member Function Documentation

virtual const char* vtkAbstractMapper3D::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkAbstractMapper. Reimplemented in vtkDataSetMapper, vtkMapper, vtkMesaPolyDataMapper, vtkMesaVolumeRayCastMapper, vtkMesaVolumeTextureMapper2D, vtkOpenGLPolyDataMapper, vtkOpenGLVolumeProVG500Mapper, vtkOpenGLVolumeProVP1000Mapper, vtkOpenGLVolumeRayCastMapper, vtkOpenGLVolumeTextureMapper2D, vtkPolyDataMapper, vtkVolumeMapper, vtkVolumeProMapper, vtkVolumeProVG500Mapper, vtkVolumeProVP1000Mapper, vtkVolumeRayCastMapper, vtkVolumeTextureMapper, and vtkVolumeTextureMapper2D.

int vtkAbstractMapper3D::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkAbstractMapper. Reimplemented in vtkDataSetMapper, vtkMapper, vtkMesaPolyDataMapper, vtkMesaVolumeRayCastMapper, vtkMesaVolumeTextureMapper2D, vtkOpenGLPolyDataMapper, vtkOpenGLVolumeProVG500Mapper, vtkOpenGLVolumeProVP1000Mapper, vtkOpenGLVolumeRayCastMapper, vtkOpenGLVolumeTextureMapper2D, vtkPolyDataMapper, vtkVolumeMapper, vtkVolumeProMapper, vtkVolumeProVG500Mapper, vtkVolumeProVP1000Mapper, vtkVolumeRayCastMapper, vtkVolumeTextureMapper, and vtkVolumeTextureMapper2D.

virtual int vtkAbstractMapper3D::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkAbstractMapper. Reimplemented in vtkDataSetMapper, vtkMapper, vtkMesaPolyDataMapper, vtkMesaVolumeRayCastMapper, vtkMesaVolumeTextureMapper2D, vtkOpenGLPolyDataMapper, vtkOpenGLVolumeProVG500Mapper, vtkOpenGLVolumeProVP1000Mapper, vtkOpenGLVolumeRayCastMapper, vtkOpenGLVolumeTextureMapper2D, vtkPolyDataMapper, vtkVolumeMapper, vtkVolumeProMapper, vtkVolumeProVG500Mapper, vtkVolumeProVP1000Mapper, vtkVolumeRayCastMapper, vtkVolumeTextureMapper, and vtkVolumeTextureMapper2D.

vtkAbstractMapper3D* vtkAbstractMapper3D::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkAbstractMapper. Reimplemented in vtkDataSetMapper, vtkMapper, vtkMesaPolyDataMapper, vtkMesaVolumeRayCastMapper, vtkMesaVolumeTextureMapper2D, vtkOpenGLPolyDataMapper, vtkOpenGLVolumeProVG500Mapper, vtkOpenGLVolumeProVP1000Mapper, vtkOpenGLVolumeRayCastMapper, vtkOpenGLVolumeTextureMapper2D, vtkPolyDataMapper, vtkVolumeMapper, vtkVolumeProMapper, vtkVolumeProVG500Mapper, vtkVolumeProVP1000Mapper, vtkVolumeRayCastMapper, vtkVolumeTextureMapper, and vtkVolumeTextureMapper2D.

void vtkAbstractMapper3D::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkAbstractMapper. Reimplemented in vtkDataSetMapper, vtkMapper, vtkMesaPolyDataMapper, vtkMesaVolumeRayCastMapper, vtkMesaVolumeTextureMapper2D, vtkOpenGLPolyDataMapper, vtkOpenGLVolumeProVG500Mapper, vtkOpenGLVolumeProVP1000Mapper, vtkOpenGLVolumeRayCastMapper, vtkOpenGLVolumeTextureMapper2D, vtkPolyDataMapper, vtkVolumeMapper, vtkVolumeProMapper, vtkVolumeProVG500Mapper, vtkVolumeProVP1000Mapper, vtkVolumeRayCastMapper, vtkVolumeTextureMapper, and vtkVolumeTextureMapper2D.

virtual float* vtkAbstractMapper3D::GetBounds | ( |  | ) | `[pure virtual]`

| Return bounding box (array of six floats) of data expressed as (xmin,xmax, ymin,ymax, zmin,zmax). Implemented in vtkMapper, vtkPolyDataMapper, and vtkVolumeMapper. Referenced by vtkVolumeMapper::GetBounds(), and vtkMapper::GetBounds().

virtual void vtkAbstractMapper3D::GetBounds | ( | float | bounds[6] | ) | `[virtual]`

| Get the bounds for this mapper as (Xmin,Xmax,Ymin,Ymax,Zmin,Zmax). Reimplemented in vtkMapper, vtkPolyDataMapper, and vtkVolumeMapper.

float* vtkAbstractMapper3D::GetCenter | ( |  | ) |

| Return the Center of this mapper's data.

float vtkAbstractMapper3D::GetLength | ( |  | ) |

| Return the diagonal length of this mappers bounding box.

virtual int vtkAbstractMapper3D::IsARayCastMapper | ( |  | ) | `[inline, virtual]`

| Is this a ray cast mapper? A subclass would return 1 if the ray caster is needed to generate an image from this mapper. Definition at line 77 of file vtkAbstractMapper3D.h.

virtual int vtkAbstractMapper3D::IsARenderIntoImageMapper | ( |  | ) | `[inline, virtual]`

| Is this a "render into image" mapper? A subclass would return 1 if the mapper produces an image by rendering into a software image buffer. Definition at line 82 of file vtkAbstractMapper3D.h.

virtual void vtkAbstractMapper3D::Update | ( |  | ) | `[pure virtual]`

| Update the network connected to this mapper. Implemented in vtkMapper, vtkPolyDataMapper, vtkVolumeMapper, and vtkVolumeTextureMapper.

## Member Data Documentation

float vtkAbstractMapper3D::Bounds[6]`[protected]`

| Definition at line 91 of file vtkAbstractMapper3D.h.

float vtkAbstractMapper3D::Center[3]`[protected]`

| Definition at line 92 of file vtkAbstractMapper3D.h.

The documentation for this class was generated from the following file:

- Rendering/vtkAbstractMapper3D.h